#
# spec file for package python-cytoolz
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cytoolz
Version:        0.9.0.1
Release:        lp151.1.1
Summary:        High performance python functional utilities in Cython
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/pytoolz/cytoolz
Source:         https://files.pythonhosted.org/packages/source/c/cytoolz/cytoolz-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module toolz}
Requires:		python-toolz
%python_subpackages

%description
Cython implementation of the toolz package, which provides high
performance utility functions for iterables, functions, and
dictionaries.

%prep
%setup -q -n cytoolz-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python_sitearch}/cytoolz/
%{python_sitearch}/cytoolz-%{version}-py*.egg-info/

%changelog
* Thu May  3 2018 toddrme2178@gmail.com
- Update to version 0.9.0.1
  * do not worry abount having good introspection on breakpoint
  * Backport fix to a test from cytoolz.
  * A slightly faster interposed.
  * Don't import or reference `toolz.curried.exceptions`.
* Tue Jan 30 2018 guigo.lourenco@hotmail.com
- Add missing requires.
* Sat Apr 15 2017 toddrme2178@gmail.com
- Update to 0.8.2
  * No upstream changelog
- Implement single-spec version
* Mon Aug 31 2015 toddrme2178@gmail.com
- update to version 0.7.3 (taken from git log):
  * Add factory keyword functionality to dicttoolz.
  * Add diff and prepare for "factory" keyword argument in dictoolz.
  * Merge pull request #64 from eriknw/fix/pluck_memleak
  * Fix memory leak in curry.
  * This is one way to fix the memory leak in #63.
  * Merge pull request #59 from eriknw/topk
  * Merge pull request #58 from eriknw/stricter_dev_tests
  * Add topk.
  * Don't require nose to run tests (including dev tests).
  * Make running dev tests comparing toolz to cytoolz more strict.
* Wed May 20 2015 toddrme2178@gmail.com
- specfile:
  * added toolz requirement
    (only needed for testing, which is currently not enabled)
- update to version 0.7.2 (taken from git log):
  * ship tests with code
  * clean up build
  * relative import
  * Use absolute imports in pyx files to support Cython 0.17 and later.
  * Fix merge_sorted with key function (see #55).
  * better support for 3.4
* Tue Mar  3 2015 toddrme2178@gmail.com
- Update to 0.7.1
  * Test `nth` with negative index on sequence and iterator.
  * Add itemmap, itemfilter to api doc.
  * Add `itemmap` and `itemfilter` to `dicttoolz`.
  * binstar: add more platforms/versions
  * add tail to itertoolz.__all__
  * take, drop, tail refer to each other in docstrings
  * test tail in lazy setting
  * fix tail doctest
  * last is a recipe of tail
  * add tail operation
  * pep8 space error fix
  * Identity doc string
  * add dissoc function to dictoolz
  * Describe the ideal contribution
  * reduceby takes callable init keyword argument
  * Add pypy3 to build matrix
  * getter works in empty index case
  * simpler check on index in get
  * get([], seq) returns ()
* Thu Sep 11 2014 toddrme2178@gmail.com
- Update to 0.7.0
  * No upstream changelog
* Fri May 30 2014 toddrme2178@gmail.com
- initial version
